adsi_rx_state_s Struct Reference

`#include <adsi.h>`

## Public Attributes

int | standard
put_msg_func_t | put_msg
void * | user_data
fsk_rx_state_t | fskrx
dtmf_rx_state_t | dtmfrx
int | consecutive_ones
int | bit_pos
int | in_progress
uint8_t | msg [256]
int | msg_len
int | baudot_shift
int | framing_errors
logging_state_t | logging

## Detailed Description

ADSI receiver descriptor. This contains all the state information for an ADSI (caller ID, CLASS, CLIP, ACLIP, JCLIP) receive channel.

## Member Data Documentation

## framing_errors

int adsi_rx_state_s::framing_errors

A count of the framing errors.

The documentation for this struct was generated from the following file:

- private/adsi.h